<?php
namespace BpotSingleTaxSelect;

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! class_exists( 'BpotSingleTaxSelect\Taxonomy_Selector_Checklist' ) ) :

class Taxonomy_Selector_Checklist {

    private $selection_type;
    private $taxonomies_apply;

    // CONSTRUCT
    public function __construct() {
        $this->selection_type = Helper::getSelectTypeOption();
        $this->taxonomies_apply = Helper::getTaxApplyOption();
    }

    // INIT
    public function custom_checkbox_taxonomies_init() {
        \add_filter('wp_terms_checklist_args', [$this, 'custom_tax_checklist_with_parent_child_structure'], 10, 2);
    }

    // WP_TERMS_CHECKLIST FILTER FUNCTION
    public function custom_tax_checklist_with_parent_child_structure( $args ) {
        if ( in_array($args['taxonomy'], $this->taxonomies_apply) ) {
            
            // SETTING ONTOP
            $checked_ontop = false;
            if( $this->selection_type === 'select-all-one' ) {
                $checked_ontop = true;
            }
            $args['checked_ontop'] = $checked_ontop;

            $args['walker'] = new Custom_Walker_Taxonomies_Checklist();
        }
        return $args;
    }
    
}

endif;