<?php
namespace BpotSingleTaxSelect;

if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! class_exists( 'BpotSingleTaxSelect\Taxonomy_Selector_Init' ) ) :
class Taxonomy_Selector_Init {
    // CONSTRUCT
    public function __construct() {}


    // PLUGIN INIT ACTIONS
    public function init_actions() {
        // OPTIONS PAGE
        new Options_Page();

        // ADD ASSETS
        add_action( 'admin_enqueue_scripts', [$this, 'plugin_load_admin_assets'], 10 );

        // PROCESS
        $single_taxonomy_selector = new Taxonomy_Selector_Checklist();
        $single_taxonomy_selector->custom_checkbox_taxonomies_init();
    }

    // PLUGIN LOAD ADMIN ASSETS FILES
    public function plugin_load_admin_assets() {
        $selection_type = Helper::getSelectTypeOption();

        // ADD CSS FILE
        wp_enqueue_style( 'staxs-checklist-admin', STAXS_ASSETS_URL . 'css/single-tax-selector.css', [], STAXS_PLUGIN_VERSION );

        // ADD JS FILES
        if( $selection_type && defined('STAXS_ASSETS_JS_FILE_MAPPING') && !empty(STAXS_ASSETS_JS_FILE_MAPPING[$selection_type]) ) {
            $js_file_name = STAXS_ASSETS_JS_FILE_MAPPING[$selection_type];
            wp_enqueue_script( "staxs-checklist-{$js_file_name}-admin", STAXS_ASSETS_URL . 'js/' . $js_file_name . '.js', ['jquery'], STAXS_PLUGIN_VERSION, ['in_footer' => true] );
        }
        
    }
}
endif;